List Time Zones
curl --request GET \
--url https://api.smarterproctoring.com/v1/timeZones \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/timeZones"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/timeZones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"sid": "<string>",
"name": "<string>",
"utcOffset": "<string>",
"partnerMappings": {}
}
]
}Time Zones
List Time Zones
Returns a paginated list of supported time zones.
Supports sorting by createdDate and pagination via offset and limit.
GET
/
v1
/
timeZones
List Time Zones
Authorizations
Query Parameters
Id to get next portion of query data. For 1st query should pass as empty
Required range:
x >= 0Number of items to return
Required range:
x >= 0Sort keys
Available options:
createdDate Sort order
Available options:
ASC, DESC Response
200 - application/json
Successful
Total number of results
URL for first page
URL for next page
URL for previous page
URL for last page
Number of results in this page
Current offset
Time zone records
Show child attributes
Show child attributes
Was this page helpful?
